EndpointsLeagues

Get landscape board

GET/v2/leagues/{league_id}/landscape

Return the current cell ladders, leaders, and visible board state for a league.

Authorization

BearerAuth
AuthorizationBearer <token>

Bearer token issued by Softmax

In: header

Path Parameters

league_id*League Id

League whose landscape board should be returned.

Match^league_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
curl -X GET "https://example.com/v2/leagues/string/landscape"
{  "league_id": "string",  "enabled": true,  "config": {},  "players": [    {}  ],  "viewer_player_ids": [    "string"  ],  "map_refs": [    "string"  ],  "modes": [    "string"  ],  "map_seeds": [    0  ],  "map_sizes": [    "string"  ],  "preview_urls": [    "string"  ],  "blob_ids": [    0  ],  "owners": [    "string"  ],  "ladders": [    [      {        "rank": 0,        "player_id": "string",        "rating": 0,        "games": 0,        "wins": 0,        "draws": 0,        "losses": 0      }    ]  ],  "round": 0,  "last_round_at": "string",  "pending": true,  "color_prefs": {    "property1": 0,    "property2": 0  },  "frames_count": 0}